Bug 201039 - NetGear (and linksys) 802.11abg cards not recognized
NetGear (and linksys) 802.11abg cards not recognized
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
MassClosed
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-02 10:09 EDT by rhbugs@greebo.org
Modified: 2008-01-19 23:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-19 23:41:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rhbugs@greebo.org 2006-08-02 10:09:34 EDT
Description of problem:
I've attempted to use 802.11abg cards (both NetGear and LinkSys) in a couple
systems and found there is no apparent support for these devices using Atheros
chipsets. 


How reproducible:
Every time

Steps to Reproduce:
1.Install Atheros-based 802.11abg card into system
2.Load FC5
3.yum -y update
4.ifconfig -a
5.lshal -l
--
[...]
udi = '/org/freedesktop/Hal/devices/pci_168c_13'
  info.udi = '/org/freedesktop/Hal/devices/pci_168c_13'  (string)
  linux.subsystem = 'pci'  (string)
  linux.hotplug_type = 1  (0x1)  (int)
  pci.subsys_product = 'Unknown (0x5a00)'  (string)
  pci.subsys_vendor = 'Netgear'  (string)
  info.product = 'AR5212 802.11abg NIC'  (string)
  pci.product = 'AR5212 802.11abg NIC'  (string)
  info.vendor = 'Atheros Communications, Inc.'  (string)
  pci.vendor = 'Atheros Communications, Inc.'  (string)
  pci.device_protocol = 0  (0x0)  (int)
  pci.device_subclass = 0  (0x0)  (int)
  pci.device_class = 2  (0x2)  (int)
  pci.subsys_vendor_id = 4997  (0x1385)  (int)
  pci.subsys_product_id = 23040  (0x5a00)  (int)
  pci.vendor_id = 5772  (0x168c)  (int)
  pci.product_id = 19  (0x13)  (int)
  pci.linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:0a.0'  (string)
  info.parent = '/org/freedesktop/Hal/devices/computer'  (string)
  info.bus = 'pci'  (string)
  linux.sysfs_path_device = '/sys/devices/pci0000:00/0000:00:0a.0'  (string)
  linux.sysfs_path = '/sys/devices/pci0000:00/0000:00:0a.0'  (string)
[...]
--
6.Dig up current copy of MadWifi-ng driver and build. *sigh*


Actual results:
When a system is loaded, Atheros-based 802.11abg cards are ignored.

Expected results:
Load system and have all networking devices recognized or at least be able to
load a package to add support for the devices.

Additional info:
Given the popularity of this chipset and that (based on reading other bug
reports) a number of users are attempting to use Atheros-based wireless
products, please include the MadWifi-ng drivers either in the kernels or as an
extra.
Comment 1 Dave Jones 2006-10-16 15:47:39 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Jon Stanley 2008-01-19 23:41:51 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.